Bug 1652063 - Creation of /subsystem=naming/binding resource with Environment field fails
Summary: Creation of /subsystem=naming/binding resource with Environment field fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.3.11
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER01
: One-off release
Assignee: Ruben Vargas Palma
QA Contact: Filip Brychta
URL:
Whiteboard:
Depends On:
Blocks: 1657856
TreeView+ depends on / blocked
 
Reported: 2018-11-21 14:07 UTC by Filip Brychta
Modified: 2019-05-16 09:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1652061
Environment:
Last Closed: 2019-05-16 09:27:39 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1515203 None CLOSED /subsystem=naming/binding of type external-context is not available in JON 2019-05-07 12:40:27 UTC
Red Hat Bugzilla 1652061 None VERIFIED Creation of /subsystem=naming/binding resource with Environment field fails 2019-05-07 12:40:26 UTC

Internal Links: 1515203 1652061

Description Filip Brychta 2018-11-21 14:07:13 UTC
+++ This bug was initially created as a clone of Bug #1652061 +++

Description of problem:
Creation of /subsystem=naming/binding resource with Environment field fails with:
WFLYCTL0097: Wrong type for 'environment'. Expected [OBJECT] but was LIST, rolled-back=true

Version-Release number of selected component (if applicable):
JON 3.3.11, EAP plugin pack 08.CR01
EAP 6.4.21

How reproducible:
Always

Steps to Reproduce:
1. navigate to EAP6 Standalone Server resource -> Subsystems -> naming -> Inventory -> Create Child -> Binding
2. Set name: java:global/MongoClient
3. Set binding type: object-factory
4. Set module: com.mongodb.jndi
5. Set class: com.mongodb.jndi.MongoClientJNDIFactory
6. Add environment property: name: mongoClientURI, value: mongodb://username:password@yourdomain.com:27017,username:password@yourdomain.com:27017
7. Finish

Actual results:
Creation fails with:
WFLYCTL0097: Wrong type for 'environment'. Expected [OBJECT] but was LIST, rolled-back=true

Expected results:
Resource is created

Additional info:
Tried also simple binding type with the same result.

Comment 1 Michael Burman 2019-03-22 09:17:34 UTC
This was discussed in:

https://bugzilla.redhat.com/show_bug.cgi?id=1477945

Comment 2 Ruben Vargas Palma 2019-04-02 17:53:34 UTC
Hi,

This issue is different, is not the same as https://bugzilla.redhat.com/show_bug.cgi?id=1477945 

This is at creation time, other is when the resource is read or updated.

I sent a PR: https://github.com/rhq-project/rhq/pull/373


Note You need to log in before you can comment on or make changes to this bug.